Bug 437700 - Patch for regression with radeon interlace modes
Patch for regression with radeon interlace modes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 13:53 EDT by Andy Burns
Modified: 2009-07-14 13:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix CRTC vtotal/vdisplay/vsyncstart registers for interlace (1.13 KB, patch)
2008-03-16 13:53 EDT, Andy Burns
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 12626 None None None Never
Launchpad 144322 None None None Never

  None (edit)
Description Andy Burns 2008-03-16 13:53:33 EDT
Description of problem:

After upgrading from F7 to F8 my 50Hz PAL RGB interlace mode was broken (similar
problems also noted in ubuntu bugzilla and xorg bugzilla) the actual output was
the even rows of top half of the screen, followed a spurious vsync pulse halfway
down the screen, followed by the even rows of the top half of the screen.

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-1.fc8

How reproducible:

100%

After if some delving into the CRTC register values I decided to try doubling
the vertical values, this seems to work nicely, I've made it conditional on the
interlace flag, probably similar fix needed for CRTC2.
Comment 1 Andy Burns 2008-03-16 13:53:33 EDT
Created attachment 298199 [details]
Fix CRTC vtotal/vdisplay/vsyncstart registers for interlace
Comment 2 DualIP 2008-03-19 09:12:48 EDT
I'm glad finally a coder looks into this, and patched code surfaces.
Although the recent posted patch will work for most users, imho it's not a 
proper patch.

Over here I didn't use git,but applied the patch to 6.8.0 source.
On my radeon7000 setup, the patch works fine when starting xorg into this mode:
Modeline "PALWS" 24.75 1280 1321 1437 1584 576 580 585 625 -hsync -vsync 
interlace
However I do have an additional PAL modeline in xorg.conf:
Modeline "PAL" 22.50 1152 1195 1301 1440 576 580 583 625 -hsync -vsync interlace
Using xrandr to switch from using the 1st modeline to 2nd gives wrong PAL 
output! The screen OSD reads 15k-below30Hz, where it should shoud 15k-50Hz. 
This mode suggest Vregisters are set to twice required value


It seems to me that somewhere a bug is introduced after V6.6.3, that somehow 
halves the Vregister settings on interlace mode. 
On my radeon 7000, this bug only shows up when starting an interlaced mode, not 
after switching from an interlaced mode to another interlaced mode.
(that was my workaround, start interlaced, then jump to another interlaced mode)

"Hey, this pipe line is leaking half of the oil!"
"Then start pumping twice as much to get the required output."
Obvious that'll give required output , but (as environmentalists will agree) 
isn't the way to fix it ;-)
Comment 3 Andy Burns 2008-03-19 10:05:30 EDT
(In reply to comment #2)

> imho it's not a proper patch.

Heh, I won't disagree with you :-)

I needed a fix that works for me, and I thought others might benefit, someone
who knows the driver might fix it in a far better way.
 
Comment 4 Bug Zapper 2008-11-26 05:10:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Burns 2008-11-26 10:27:43 EST
(In reply to comment #4)

> Fedora 8 is nearing its end of life.

I believe a different patch for this has now been accepted upstream, I have switched from Radeon/VGA to Intel/HDMI so no longer relevant for me, hopefully the new fix will be picked up and benefit others.
Comment 6 Bug Zapper 2009-06-09 19:47:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:27:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.